@echo off

if not "%1"=="" goto SKIPHELP

echo :: ----------------------------------------------------------------------
echo :: MQTT Example
echo :: ------------
echo :: In this configuration we use the bundled or downloaded
echo :: database and:
echo :: - enable MQTT, send data to HIVEMQ's public broker
echo ::   use msrlocalcloud- + 'this computer's name' as topic
echo :: - enable MSR-FlexSensor
echo :: - do no store incomming *data* in database (metadata will be stored)
echo ::
echo :: Open http://hivemq.com/demos/websocket-client/ on your browser,
echo :: press connect (default settings should apply), click
echo :: 'Add New Topic Subscription' and enter
echo :: msrlocalcloud-%COMPUTERNAME%/# to subscribe.
echo :: Now you should seen the readings from the connected FlexSensors.
echo ::
echo :: To visit MSRLocalCloud's webui, navigate to http://localhost:12621
echo :: ----------------------------------------------------------------------
echo.
echo -^> press Ctrl-C to exit MSRLocalcoud
echo -^> press any key to continue
pause >nul

:SKIPHELP

:: Set environment variables to configure the application
set MSRLOCALCLOUD_MQTT_BROKER=broker.hivemq.com:1883
set MSRLOCALCLOUD_MQTT_TOPIC=msrlocalcloud-%COMPUTERNAME%
set MSRLOCALCLOUD_MQTT_CLEAN_SESSION=1
set MSRLOCALCLOUD_MSR145W2D_NO_STORE_DATA=1
set MSRLOCALCLOUD_MSRFLEX_USB_ENABLED=1
set MSRLOCALCLOUD_MSRFLEX_USB_NO_STORE_DATA=1

:: call application
..\msrlocalcloud.exe
